## bochs 2.3.7-maemo1

=== instrument/stubs/Makefile ===
# Copyright (C) 2001  MandrakeSoft S.A.
#
#   MandrakeSoft S.A.
#   43, rue d'Aboukir
#   75002 Paris - France
#   http://www.linux-mandrake.com/
#   http://www.mandrakesoft.com/
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA



.SUFFIXES: .cc

srcdir = .


SHELL = /bin/sh



CC = gcc
CFLAGS = -g -O2 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES
CXX = g++
CXXFLAGS = -g -O2 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES

LDFLAGS = 
LIBS =  -lm
RANLIB = ranlib


# ===========================================================
# end of configurable options
# ===========================================================


BX_OBJS = \
  instrument.o

BX_INCLUDES =

BX_INCDIRS = -I../.. -I$(srcdir)/../.. -I. -I$(srcdir)/.

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(BX_INCDIRS) $< -o $@


.c.o:
	$(CC) -c $(CFLAGS) $(BX_INCDIRS) $< -o $@



libinstrument.a: $(BX_OBJS)
	rm -f  libinstrument.a
	ar rv $@ $(BX_OBJS)
	$(RANLIB) libinstrument.a

$(BX_OBJS): $(BX_INCLUDES)


clean:
	rm -f  *.o
	rm -f  *.a

dist-clean: clean
	rm -f  Makefile

=== host/linux/pcidev/Makefile ===
ifneq ($(KERNELRELEASE), )
# linux kernel 2.6 kbuild invocation
include $(src)/Make.kbuild
else
# command prompt invocation or linux kernel 2.4 build

KERNELDIR = 
CC = gcc
LSMOD = 
INSMOD = 
RMMOD = 
DEPMOD = 
KERNEL_MODULE_SUFFIX = 

MODULE_NAME = pcidev
MODULE_FILE = $(MODULE_NAME).$(KERNEL_MODULE_SUFFIX)

PCIDEV_MODULE_MAKE_ALL = 

CFLAGS = -Wstrict-prototypes -Wno-trigraphs -g -fno-strict-aliasing -fno-common -D__KERNEL__ -DMODULE -I$(KERNELDIR)/include -O -Wall


.PHONY : all
all : $(PCIDEV_MODULE_MAKE_ALL)


.PHONY : all-kernel24
all-kernel24 : $(MODULE_FILE)

$(MODULE_FILE) : pcidev.c kernel_pcidev.h


.PHONY : all-kernel26
all-kernel26 :
	$(MAKE) -C $(KERNELDIR) SUBDIRS=$(shell pwd) modules


.PHONY : clean
clean :
	rm -f  *.o *~ core *.mod.* .*.cmd *.ko

.PHONY : dist-clean
dist-clean: clean
	rm -f  Makefile


.PHONY : devices
devices:
	@DEVICE="/dev/pcidev" ; \
	if test \! -c $$DEVICE ; then \
		echo "Adding $$DEVICE ..." ; \
		mknod $$DEVICE c 240 0 ; \
		chmod a+wr $$DEVICE ; \
		ls -l $$DEVICE ; \
	else \
		echo "Device $$DEVICE already exists." ; \
	fi


# works only under linux of course
.PHONY : install
install:
	@if test $$USER != "root" ; then \
		echo "Only root can install." ; \
		exit 1 ; \
	fi ; \
	if $(LSMOD) | grep -q $(MODULE_NAME) ; then \
		echo "Unloading $(MODULE_NAME) ..." ; \
		$(RMMOD) $(MODULE_NAME) ; \
	fi ; \
	echo "Loading $(MODULE_NAME) ..." ; \
	$(INSMOD) $(MODULE_FILE) ; \
	echo "Done."

endif

=== debian/changelog ===
bochs (2.3.7-maemo1) unstable; urgency=low

  * Initial release for Fremantle

 -- Toni Nikkanen <toni@tuug.fi>  Sat,  13 Mar 2010 14:03:16 +0200

=== debian/control ===
Source: bochs
Section: user/other
Priority: extra
Maintainer: Toni Nikkanen <toni@tuug.fi>
Build-Depends: debhelper (>= 5), quilt (>= 0.40),
 autoconf, libz-dev, libreadline5-dev | libreadline-dev,
 libx11-dev, libxpm-dev, libice-dev,
 libsm-dev, libsdl1.2-dev
Standards-Version: 3.7.2

Package: bochs
Architecture: any
Depends: ${shlibs:Depends}
Description: IA-32 PC emulator
 Bochs is a highly portable free IA-32 (x86) PC emulator written in C++, that
 runs on most popular platforms. It includes emulation of the Intel x86 CPU,
 common I/O devices, and a custom BIOS.
 .
 Bochs is capable of running most operating systems inside the emulation
 including GNU, GNU/Linux, *BSD, FreeDOS, MSDOS and Windows 95/NT.
